[lfs-support] check 0.9.9 (5.13) fails

Tobias Gasser lfs at ebp-gasser.ch
Mon Nov 12 02:15:37 PST 2012


version 0.9.8 compiles fine, but the new 0.9.9 fails with


gcc -DHAVE_CONFIG_H -I. -I..  -I../src -I../src   -g -O2 -Wall -ansi 
-pedantic -Wextra -Wstrict-prototypes -Wmissing-prototypes 
-Wwrite-strings -Wno-variadic-macros -MT 
check_thread_stress-check_thread_stress.o -MD -MP -MF 
.deps/check_thread_stress-check_thread_stress.Tpo -c -o 
check_thread_stress-check_thread_stress.o `test -f 
'check_thread_stress.c' || echo './'`check_thread_stress.c
mv -f .deps/check_thread_stress-check_thread_stress.Tpo 
.deps/check_thread_stress-check_thread_stress.Po
/bin/sh ../libtool --tag=CC   --mode=link gcc  -g -O2 -Wall -ansi 
-pedantic -Wextra -Wstrict-prototypes -Wmissing-prototypes 
-Wwrite-strings -Wno-variadic-macros   -o check_thread_stress 
check_thread_stress-check_thread_stress.o ../src/libcheck.la 
../lib/libcompat.la  -lrt
libtool: link: gcc -g -O2 -Wall -ansi -pedantic -Wextra 
-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings 
-Wno-variadic-macros -o .libs/check_thread_stress 
check_thread_stress-check_thread_stress.o  ../src/.libs/libcheck.so 
../lib/.libs/libcompat.a -lrt -Wl,-rpath -Wl,/STAGE1/lib
/STAGE1/lib/gcc/x86_64-unknown-linux-gnu/4.7.2/../../../../x86_64-unknown-linux-gnu/bin/ld: 
check_thread_stress-check_thread_stress.o: undefined reference to symbol 
'pthread_create@@GLIBC_2.2.5'
/STAGE1/lib/gcc/x86_64-unknown-linux-gnu/4.7.2/../../../../x86_64-unknown-linux-gnu/bin/ld: 
note: 'pthread_create@@GLIBC_2.2.5' is defined in DSO 
/STAGE1/lib/libpthread.so.0 so try adding it to the linker command line
/STAGE1/lib/libpthread.so.0: could not read symbols: Invalid operation
collect2: error: ld returned 1 exit status


the only differences to the book are the build-path (i use /STAGE1 for 
years without problems) and the kernel version: i use 3.4. as it is a 
long-term kernel.

i don't understand why 'GLIBC_2.2.5' is referenced, as the host-system 
is lfs 7.2 with glibc 2.16.1 and the lib in /STAGE1/lib is glibc 2.16.1 too.

check 0.9.8 compiles fine.

any idea what's wrong?

thanks
tobias



More information about the lfs-support mailing list